summaryrefslogtreecommitdiffstats
path: root/images
diff options
context:
space:
mode:
Diffstat (limited to 'images')
-rwxr-xr-ximages/guest-aux/make-debian-img.sh2
-rwxr-xr-ximages/guest-aux/make-fedora-img.sh2
-rwxr-xr-ximages/guest-aux/make-ubuntu-img.sh2
-rwxr-xr-ximages/guest-aux/make-windows-img.sh4
4 files changed, 5 insertions, 5 deletions
diff --git a/images/guest-aux/make-debian-img.sh b/images/guest-aux/make-debian-img.sh
index 2170cecb..9a01e938 100755
--- a/images/guest-aux/make-debian-img.sh
+++ b/images/guest-aux/make-debian-img.sh
@@ -31,7 +31,7 @@ LABEL=BOOT /boot ext2 default 0 0
EOF
# Create a disk image.
-../fish/guestfish <<'EOF'
+../run ../fish/guestfish <<'EOF'
sparse debian.img.tmp 512M
run
diff --git a/images/guest-aux/make-fedora-img.sh b/images/guest-aux/make-fedora-img.sh
index 8f198f61..0e064b45 100755
--- a/images/guest-aux/make-fedora-img.sh
+++ b/images/guest-aux/make-fedora-img.sh
@@ -31,7 +31,7 @@ LABEL=ROOT / ext2 default 0 0
EOF
# Create a disk image.
-../fish/guestfish <<'EOF'
+../run ../fish/guestfish <<'EOF'
sparse fedora.img.tmp 512M
run
diff --git a/images/guest-aux/make-ubuntu-img.sh b/images/guest-aux/make-ubuntu-img.sh
index f008c76f..4ddb40ab 100755
--- a/images/guest-aux/make-ubuntu-img.sh
+++ b/images/guest-aux/make-ubuntu-img.sh
@@ -36,7 +36,7 @@ DISTRIB_DESCRIPTION="Ubuntu 10.10 (Phony Pharaoh)"
EOF
# Create a disk image.
-../fish/guestfish <<'EOF'
+../run ../fish/guestfish <<'EOF'
sparse ubuntu.img.tmp 512M
run
diff --git a/images/guest-aux/make-windows-img.sh b/images/guest-aux/make-windows-img.sh
index f659f4b4..3acb2b7f 100755
--- a/images/guest-aux/make-windows-img.sh
+++ b/images/guest-aux/make-windows-img.sh
@@ -25,7 +25,7 @@ set -e
# ntfs-3g/ntfsprogs then we cannot create a Windows phony image.
# Nothing actually uses windows.img in the standard build so we can
# just 'touch' it and emit a warning.
-if ! ../fish/guestfish -a /dev/null run : available "ntfs3g ntfsprogs"; then
+if ! ../run ../fish/guestfish -a /dev/null run : available "ntfs3g ntfsprogs"; then
echo "***"
echo "Warning: cannot create windows.img because there is no NTFS"
echo "support in this build of libguestfs. Just touching the output"
@@ -36,7 +36,7 @@ if ! ../fish/guestfish -a /dev/null run : available "ntfs3g ntfsprogs"; then
fi
# Create a disk image.
-../fish/guestfish <<'EOF'
+../run ../fish/guestfish <<'EOF'
sparse windows.img.tmp 512M
run